package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.entity.TeacherCourseStatistics;
import com.ym.mec.common.dal.BaseDAO;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

public interface TeacherCourseStatisticsDao extends BaseDAO<Long, TeacherCourseStatistics> {

    List<TeacherCourseStatistics> findUserByWarringSalary(@Param("startDate") Date startDate, @Param("endDate") Date endDate, @Param("salary") BigDecimal salary);

    List<TeacherCourseStatistics> findUserCourseSalaryByUserIds(@Param("userIds") List<Integer> userIds,@Param("startDate") Date startDate, @Param("endDate") Date endDate);

    int batchAdd(@Param("lists") List<TeacherCourseStatistics> lists);
}