package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.entity.Organization;
import com.ym.mec.biz.dal.page.OrganizationQueryInfo;
import com.ym.mec.common.page.PageInfo;
import com.ym.mec.common.service.BaseService;

import java.util.List;

public interface OrganizationService extends BaseService<Integer, Organization> {

    /**
     * 获取节点树状结构
     * @param queryInfo
     * @return
     */
    PageInfo<Organization> queryTreePage(OrganizationQueryInfo queryInfo);

    /**
     * 获取员工坐在分部列表
     * @return
     */
    List<Organization> queryEmployeeOrgan() throws Exception;

    /**
     * 获取分部名称
     * @return
     */
    String getOrganName(String organId);
}